Subject: Re: [Sip] II digit & Calling Name

From: Flemming Andreasen <[email-masked]>
Date: Mon, 02 Jul 2001 11:08:02 -0400

"Henning G. Schulzrinne" wrote:

> > The privacy draft, to some degree, is inconsistent with the caller
> > preferences spec in this regard. For example, one of the rpi-id-types is
> > "return", which is more like the Contact, in that its a "device" address,
> > not a user identity.
>
> My interpretation was that this was more of a logical address rather
> than a device address, similar to the 'reply-to' header in email. For
> example, you could imagine that you want all future calls (not
> transactions within the call) to sales critter S to always go to
> [email-masked]. (Or the example given in the spec, of providing an
> 800# for return calls in outgoing calls.)
>
> If this difference is indeed correct, I believe it would be helpful if
> the authors could clarify the call vs. transactions-within-call
> distinction.
>

You are correct. I've changed the description as follows:

"Return session identity (rpi-id-type="return")

This provides the URL to which the party wishes return session initiations (as
opposed to new transactions within this call leg) to be addressed. For example a
business may wish to provide a 'freephone' identity to encourage future return
calls. If absent, the return session identity is assumed to be the same as the
subscriber identity. "

-- Flemming

--
Flemming Andreasen
Cisco Systems

_______________________________________________
Sip mailing list  http://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip